# Generated from handsontable_rails5-6.2.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name handsontable_rails5

Name: rubygem-%{gem_name}
Version: 6.2.2
Release: 1%{?dist}
Summary: Bundles the Handsontable community edition in to rails
License: MIT
URL: https://www.github.com/brentan/handsontable_rails5
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Bundles the Handsontable community edition from https://handsontable.com/ into
a rails app by adding handontable JS and CSS files to the asset pipeline.  Gem
version is set to match handsontable version.  Full package is included in
minified form (full.min.js and full.min.css from the handontable
distribution).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/handsontable_rails5.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 6.2.2-1
- Initial package
